MOUNTPOINT(1)

BEZEICHNUNG
mountpoint - überprüfen, ob ein Verzeichnis ein Einhängepunkt ist

ÜBERSICHT
mountpoint [-q] [-d] /Pfad/zum/Verzeichnis
mountpoint -x /dev/Gerät

BESCHREIBUNG
mountpoint überprüft, ob ein Verzeichnis ein Einhängepunkt ist.

OPTIONEN

-q  unterdrückt die Ausgaben.

-d  zeigt die Major/Minor-Gerätenummern des Dateisystems in der Standardausgabe an.

-p  überprüft die Linux-Datei /proc/mounts, um zirkuläre Einhängepunkte zu erkennen.

-x  zeigt die Major/Minor-Gerätenummer des angegebenen blockorientierten Geräts in der Standardausgabe an.

EXIT-STATUS
Null, falls das Verzeichnis ein Einhängepunkt ist, nicht Null, wenn nicht.

ANMERKUNGEN
Symbolischen Links wird nur gefolgt, wenn die Option -x angegeben wird. Um das Verfolgen von symbolischen Links zu erzwingen, hängen Sie einen Schrägstrich an den Pfad zum Verzeichnis an.

Der Name des Befehls ist irreführend, wenn die Option -x verwendet wird, aber diese Option ist nützlich beim Vergleichen, ob ein Verzeichnis und ein Gerät zusammengehören. Es gibt keinen anderen Befehl, der dies so einfach ausgeben kann.

Der Befehl mountpoint schlägt fehl, wenn ein Verzeichnis zu einem seiner Vor-Vorfahren eingehängt ist. Ist beispielsweise /a/b/c/d ein Einhängepunkt für /a/b, dann wird mountpoint melden, dass /a/b/c/d kein gültiger Einhängepunkt ist. Dies kommt daher, dass sowohl das ursprüngliche Verzeichnis als auch der neue Einhängepunkt den gleichen Inode und die gleiche Gerätenummer haben.

Das Problem des zirkulären Einhängepunktes kann auf Linux-Systemen umgangen werden, indem der Schalter -p zur Überprüfung der Datei /proc/mounts auf Referenzen auf zirkuläre Bind-Einhängungen verwandt wird. Wenn Sie den Schalter -p verwenden, müssen Sie den kompletten Pfad angeben (d.h. /home/user/mp und nicht nur mp). Auch kann mountpoint weiterhin fehlschlagen, falls es Leerzeichen im Pfad des Einhängepunktes gibt, selbst wenn der Schalter -p verwandt wird, aufgrund der Art, wie /proc/mounts Leerzeichen in Pfadnamen verstümmelt. Allerdings gibt es größere Sorgen, wenn ein Administrator zirkulare Einhängungen mit Leerzeichen in dem Namen verwendet.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

SIEHE AUCH
stat(1)